package com.wzj.soopin.goods.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.wzj.soopin.goods.domain.bo.ProductBo;
import com.wzj.soopin.goods.domain.entity.Product;
import com.wzj.soopin.goods.domain.vo.ProductVO;

public interface ProductService extends IService<Product> {

    IPage<ProductVO> getList(ProductBo query, Page<Product> page);

    IPage<ProductVO> getRecommendPage(Page<Product> page);

    /**
     * 不带租户的获取商品信息
     *
     * @param query
     * @param page
     * @return
     */
    IPage<ProductVO> getProductPageList(ProductBo query, Page<Product> page);

    ProductVO selectById(Long id);
}
